# Uses of Class
net.shibboleth.idp.installer.TrustStore.Signature

Packages that use TrustStore.Signature
Package
Description
net.shibboleth.idp.installer
Classes available for installation.

## Uses of TrustStore.Signature in net.shibboleth.idp.installer

Methods in net.shibboleth.idp.installer that return TrustStore.Signature
Modifier and Type
Method
Description
`static TrustStore.Signature`
TrustStore.`signatureOf(InputStream stream)`
Provide an opaque signature object from an input stream.
Methods in net.shibboleth.idp.installer with parameters of type TrustStore.Signature
Modifier and Type
Method
Description
`boolean`
TrustStore.`checkSignature(InputStream input, TrustStore.Signature signature)`
Run a signature check over the streams.
`boolean`
TrustStore.`contains(TrustStore.Signature signature)`
Does the key that made this signature exist in our keyrings?
`void`
TrustStore.`importKeyFromStream(TrustStore.Signature sigForKey, InputStream keyStream, Predicate<String> accept)`
Load up the provided store and if the key is found and the Predicate allows it add it to the store which we will then save.